net.sourceforge.pmd.lang.java

## Class JavaDataFlowHandler

- java.lang.Object
- - net.sourceforge.pmd.lang.java.JavaDataFlowHandler

All Implemented Interfaces:
  DataFlowHandler

    public class JavaDataFlowHandler
    extends Object
    implements DataFlowHandler

### Field Summary

### Fields inherited from interface net.sourceforge.pmd.lang.DataFlowHandler

`DUMMY`

### Constructor Summary

Constructors
Constructor and Description
`JavaDataFlowHandler()`

### Method Summary

Methods
`DataFlowNode` `createDataFlowNode(List<DataFlowNode> dataFlow, Node node)`
`Class<ASTLabeledStatement>` `getLabelStatementNodeClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaDataFlowHandler

    public JavaDataFlowHandler()

### Method Detail

#### createDataFlowNode

    public DataFlowNode createDataFlowNode(List<DataFlowNode> dataFlow,
                                  Node node)

Specified by:
  `createDataFlowNode` in interface `DataFlowHandler`

#### getLabelStatementNodeClass

    public Class<ASTLabeledStatement> getLabelStatementNodeClass()

Specified by:
  `getLabelStatementNodeClass` in interface `DataFlowHandler`